include: package:flutter_lints/flutter.yaml

linter:
  rules:
    always_use_package_imports: true
    cancel_subscriptions: true
    avoid_web_libraries_in_flutter: true
    avoid_empty_else: true
    avoid_relative_lib_imports: true
    avoid_returning_null_for_void: true
    avoid_unused_constructor_parameters: true
    prefer_const_constructors: false
    prefer_const_literals_to_create_immutables: true
    prefer_final_fields: true
    unnecessary_brace_in_string_interps: true
    unnecessary_getters_setters: true
    curly_braces_in_flow_control_structures: true
    use_super_parameters: true
    sized_box_for_whitespace: false
    prefer_final_locals: false
    library_private_types_in_public_api: false
    avoid_unnecessary_containers: false